<html>
<head>
<title>OGRE: Ogre::Profiler::ProfileHistory Struct Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<div class="nav">
<a class="el" href="namespaceOgre.html">Ogre</a>::<a class="el" href="classOgre_1_1Profiler.html">Profiler</a>::<a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html">ProfileHistory</a></div>
<h1>Ogre::Profiler::ProfileHistory Struct Reference</h1><!-- doxytag: class="Ogre::Profiler::ProfileHistory" -->Represents a history of each profile during the duration of the app.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>&gt;</code>
<p>

<p>
<a href="structOgre_1_1Profiler_1_1ProfileHistory-members.html">List of all members.</a><table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Public Attributes</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#cf3e9dcca109ad8ed6e480f1253e0873">name</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The name of the profile.  <a href="#cf3e9dcca109ad8ed6e480f1253e0873"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#46033eb24e1a7945d62cd03b53422869">currentTime</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The current percentage of frame time this profile has taken.  <a href="#46033eb24e1a7945d62cd03b53422869"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#604f58a962fbd83d583e178fc7d404f2">maxTime</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The maximum percentage of frame time this profile has taken.  <a href="#604f58a962fbd83d583e178fc7d404f2"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#fd0164fa86995b65375faf527b7cde1c">minTime</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The minimum percentage of frame time this profile has taken.  <a href="#fd0164fa86995b65375faf527b7cde1c"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#b918db2b1abc44372b98ee8ca14d86ad">numCallsThisFrame</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The number of times this profile has been called each frame.  <a href="#b918db2b1abc44372b98ee8ca14d86ad"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#e56853ba573e6973f6a070eb588d0881">totalTime</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The total percentage of frame time this profile has taken (used to calculate average).  <a href="#e56853ba573e6973f6a070eb588d0881"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#4304981347643708ee9a7ba8884e5758">ulong</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#da7dfb141aae4c509b518b4f46fae523">totalCalls</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The total number of times this profile was called (used to calculate average).  <a href="#da7dfb141aae4c509b518b4f46fae523"></a><br></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#9ab93f91e00cfdf99f5ef613e9f008d2">hierarchicalLvl</a></td></tr>

<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">The hierarchical level of this profile, 0 being the root profile.  <a href="#9ab93f91e00cfdf99f5ef613e9f008d2"></a><br></td></tr>
</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Represents a history of each profile during the duration of the app. 
<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00299">299</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>
<hr><h2>Member Data Documentation</h2>
<a class="anchor" name="cf3e9dcca109ad8ed6e480f1253e0873"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::name" ref="cf3e9dcca109ad8ed6e480f1253e0873" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#f73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#cf3e9dcca109ad8ed6e480f1253e0873">Ogre::Profiler::ProfileHistory::name</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The name of the profile. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00302">302</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="46033eb24e1a7945d62cd03b53422869"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::currentTime" ref="46033eb24e1a7945d62cd03b53422869" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#46033eb24e1a7945d62cd03b53422869">Ogre::Profiler::ProfileHistory::currentTime</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The current percentage of frame time this profile has taken. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00305">305</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="604f58a962fbd83d583e178fc7d404f2"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::maxTime" ref="604f58a962fbd83d583e178fc7d404f2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#604f58a962fbd83d583e178fc7d404f2">Ogre::Profiler::ProfileHistory::maxTime</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The maximum percentage of frame time this profile has taken. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00308">308</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="fd0164fa86995b65375faf527b7cde1c"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::minTime" ref="fd0164fa86995b65375faf527b7cde1c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#fd0164fa86995b65375faf527b7cde1c">Ogre::Profiler::ProfileHistory::minTime</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The minimum percentage of frame time this profile has taken. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00311">311</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="b918db2b1abc44372b98ee8ca14d86ad"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::numCallsThisFrame" ref="b918db2b1abc44372b98ee8ca14d86ad" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#b918db2b1abc44372b98ee8ca14d86ad">Ogre::Profiler::ProfileHistory::numCallsThisFrame</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The number of times this profile has been called each frame. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00314">314</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="e56853ba573e6973f6a070eb588d0881"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::totalTime" ref="e56853ba573e6973f6a070eb588d0881" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#a3a7b6dfb905e6572d62f0dfa3d4274d">Real</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#e56853ba573e6973f6a070eb588d0881">Ogre::Profiler::ProfileHistory::totalTime</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The total percentage of frame time this profile has taken (used to calculate average). 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00318">318</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="da7dfb141aae4c509b518b4f46fae523"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::totalCalls" ref="da7dfb141aae4c509b518b4f46fae523" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#4304981347643708ee9a7ba8884e5758">ulong</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#da7dfb141aae4c509b518b4f46fae523">Ogre::Profiler::ProfileHistory::totalCalls</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The total number of times this profile was called (used to calculate average). 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00322">322</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<a class="anchor" name="9ab93f91e00cfdf99f5ef613e9f008d2"></a><!-- doxytag: member="Ogre::Profiler::ProfileHistory::hierarchicalLvl" ref="9ab93f91e00cfdf99f5ef613e9f008d2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="namespaceOgre.html#b6e842a18caf062ed73a5d3badd0dd4c">uint</a> <a class="el" href="structOgre_1_1Profiler_1_1ProfileHistory.html#9ab93f91e00cfdf99f5ef613e9f008d2">Ogre::Profiler::ProfileHistory::hierarchicalLvl</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
The hierarchical level of this profile, 0 being the root profile. 
<p>

<p>Definition at line <a class="el" href="OgreProfiler_8h-source.html#l00325">325</a> of file <a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="OgreProfiler_8h-source.html">OgreProfiler.h</a></ul>
<hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:51:54 2008
</p>
</body>
</html>
